/*
Portfolio Site Colors
Primary Colors:
	-Orange #f08a21 - rgb(240,138,33)(Main Forground) 
	-Dark Orange #ba650f (Acitve and Hover Links)
	-Dark Gray #3c3c3c (Header and footer background)
	-Light Gray #6e6e6e (Border and body text)
Secondary Colors:
	-Blue #293aa5
	-Green #19b835
*/
/* Web Fonts
==========================================*/
@font-face{ 
	font-family: 'fff_tusjbold';
    src: url('../fonts/FFF-Tusj/FFF_Tusj-webfont.eot');
    src: url('../fonts/FFF-Tusj/FFF_Tusj-webfont.eot?#iefix') format('embedded-opentype'),
         url('../fonts/FFF-Tusj/FFF_Tusj-webfont.woff') format('woff'),
         url('../fonts/FFF-Tusj/FFF_Tusj-webfont.ttf') format('truetype'),
         url('../fonts/FFF-Tusj/FFF_Tusj-webfont.svg#fff_tusjbold') format('svg');
    font-weight: normal;
    font-style: normal;
}

/* Default Site styles
==========================================*/
/** {
  -webkit-box-sizing: border-box;
     -moz-box-sizing: border-box;
      -ms-box-sizing: border-box;
          box-sizing: border-box;
}*/


html{
	background-image: url("../img/crossword.png");
	color: #6e6e6e;
	font-family: 'Raleway', sans-serif;
	font-weight: 200;
}

h1, h2, h3, h4 {
	font-family: 'Marvel', sans-serif;
	font-weight: 700;
	line-height:  0.8em;
}

h2 {
	font-size: .75em;
	font-weight: 400;
	margin: -5px 0 0; 
}

h4 {
	font-size: 1.0em;
	margin: -10px 0 0;
}

h5 {
	font-family: 'Raleway', sans-serif;
	font-weight: 500;
	line-height:  0.8em;
}

p {
	font-size: .85em;
	line-height: 1.3em;
}

#wrapper {
	max-width: 1024px;
	margin: 0 auto;
	padding: 0 5%;
	list-style-type: none;
}

section {
	width: 95%;
	padding: 0;
	margin: 0 auto 0;
}

section h3 {
	font-size: 1.1em;
	padding: 0 0 2px 0;
	margin: 0 0 10px 0;
	border-bottom: 1px solid #bdc3c7;
	}

a {
	text-decoration: none;
	color: #19b835;
	outline: 0;
}

section p a:hover {
	text-decoration: underline;
}

img {
	max-width: 100%;
}

/* Heading & Navigation 
==========================================*/

#logo {
	text-align: center;
	margin: 0;
}

#logo img.myLogo {
	width: 100%
	margin: 5px 0 0 0;
	padding-left: 40%;
}

header {
	float: left;
	width: 100%;
	margin: 0;
	padding: 0;
}

.portfolio_header {	
	/* just for portfolio page header becasue of sub menus, this can be removed once I change to a dropdown menu*/
	float: left;
	margin: 0 0 5px 0;
	padding: 0;
	width: 100%;
	height: 70px;
	background: #3c3c3c;
	border-color: #6e6e6e;	
}

div.logo {
	display: none;
}

.main_header {	
	float: left;
	margin: 0 0 15px 0;
	padding: 0;
	width: 100%;
	background: #3c3c3c;
	border-color: #6e6e6e;	
}

header h1, header h2 {
	color: #f08a21;
	margin: 2.5px 0 0 0;
	padding: 3px;
}

header h2{
	margin-bottom: 15px;
}

nav.main {
	background: #6e6e6e;
	text-align: center;
	padding: 5px 0 10px 0;
	margin: 10px 0 0 0;
}

nav.main ul {
	list-style: none;
	margin: 0 10px;
	padding: 0;
	font-size: .85em;
	font-weight: 500;	
}

nav.main li{
	display: inline-block;
}

nav.main a {
	font-size: 1.25em;
	font-weight: ;
	padding: 10px 0 0 0;
	margin: 0 5px;
	padding-bottom: 1px;
	text-decoration: none;
	transition: all .5s ease;

}

.main a, .mian a:visited, .main li {
	color: #f08a21;
}

nav a.selected, nav a:hover {
	
	width: 10px;
	color: #19b835;
	border-bottom: 2px solid #19b835;
}

div.sub-sm {
	display: block;
	border-bottom: 1px solid #6e6e6e;
	width: 95%;
	padding: 0 0 5px 0;
	margin: 0 auto 20px;
}

div.sub-sm ul {
	background: none;
	margin: 0;
	text-align: center;
	padding: 0;
}

div.sub-sm li{
	margin: 0 5px;
	padding: 0;
	display: inline-block;
}

div.sub-sm a {
	color: #6e6e6e;
	font-size: .75em;
	font-weight: 500 ;
	padding: 0;
	margin: 0 3px;
}

div.sub-sm a:hover {
	color: #f08a21;
	border-bottom: none;
}

nav ul.sub-lg {
	display: none;
	border-top: 1px solid #6e6e6e;
	margin-top: 10px;
	padding-top: 5px;
	font-size: 0.80em;
	font-weight: 300;
	text-align: left;
}


.active {
	padding-bottom: 1px;
	border-bottom: 2px solid #19b835;
}


/* Page: Portifolio
============================*/

.gallery {
	margin: 0;
	padding: 0;
	list-style: none;
}

.gallery li {
	float: left;
	width: 45%;
	margin: 2%;
	background-color: #f5f5f5;
	color: #bdc3c7;
}


.gallery li div.thumbnail {
	max-height: 100px;
	overflow: hidden;
	border: 1px solid #3c3c3c;
}

.gallery li:nth-child(odd) {
	clear: all;
}

.gallery a{
	outline: none;
}
.gallery li a figcaption {
	margin: 0;
	padding: 5%;
	font-size: 0.65em;
	color: #3c3c3c;
	font-size: 1.0em;
}

section h3.title {
	background: none;
	overflow: visible;	
	text-align: center;
	margin: 0 0 5px 2.5%;
	padding:  30px 0 2px 0;
	width: 95%;
}

/* Page: About
============================*/

.profile-photo {
	display: block;
	max-width: 150px;
	margin: 0 auto 30px;
	border-radius: 100%;
}

.skill h4 {
	font-size: 0.9em;
	font-weight: 400;		
	color: #f08a21;
	padding: 0;
	margin: 10px 0;
}

.meterContainer {
	text-align: right;
	max-width: 250px;
	min-width: 249px;
}

.meterContainer img {
	display: block;
	margin-right: 2px;
	margin-left: auto;
	position: relative;
	width: 100px;
}

span.label h5{
	display: inline-block;
	font-size: .70em;
	height: 24px;
	vertical-align: middle;
	text-align: right;
	padding: 0;
	margin: 0;
}

.meter {
	display: inline-block;
	position: relative;
	text-align: left;
	margin-left: auto;
	margin-right: .2%;
	border: 1.5px solid #6e6e6e;
	width: 100px;
	height: 23px;	
}

.meter span {
	border-right: 1px solid #6e6e6e;
	display: block;
  	height: 100%;
  	position: relative;
  	overflow: hidden;
	background: #f08a21 ;
	opacity: 1;
}

.animate > span:after {
  display: none;
}

@-webkit-keyframes move {
  0% {
   background-position: 0 0;
 }
 100% {
   background-position: 50px 50px;
 }
}


/* Page: Contact
============================*/

.contact-info {
	list-style: none;
	padding: 0;
	margin: 0;
	font-size: .9em;
}

.contact-info a {
	display: block;
	min-height:  25px;
	background-repeat: no-repeat;
	background-size: 20px 20px;
	padding: 0 0 0 25px;
}

.contact-info li.phone a {
	background-image: url("../img/phone.png");

}

.contact-info li.mail a {
	background-image: url("../img/mail.png");

}

.contact-info li.twitter a {
	background-image: url("../img/twitter.png");

}

.contact-info li.facebook a {
	background-image: url("../img/facebook.png");

}

/* Footer
============================*/

footer {
	font-size: .75em;
	text-align: center;
	clear: both;
	border-color: #6e6e6e;
	padding-top: 50px;
	color: #6e6e6e;
}

a.social-icon {
	display: inline-block;
	width: 20px;
	height: 20px;
	margin: 0 5px;
}

a.twitter {
	background: url("../img/twitter-wrap.png") no-repeat;
	background-size: 20px 20px;
}

a.twitter:hover {
	background: url("../img/twitter.png") no-repeat;
	background-size: 20px 20px;
}

a.facebook {
	background: url("../img/facebook-wrap.png") no-repeat;
	background-size: 20px 20px;
}

a.facebook:hover {
	background: url("../img/facebook.png") no-repeat;
	background-size: 20px 20px;
}

a.codepen {
	background: url("../img/codepen-wrap.png") no-repeat;
	background-size: 20px 20px;
}

a.codepen:hover {
	background: url("../img/codepen.png") no-repeat;
	background-size: 20px 20px;
}

a.treehouse {
	background: url("../img/treehouse-wrap.png") no-repeat;
	background-size: 20px 20px;
}

a.treehouse:hover {
	background: url("../img/treehouse.png") no-repeat;
	background-size: 20px 20px;
}

/* General
============================*/

.hide-for-sm {
	display: none;
}

.group::after {
	content: " ";
	display: table;
	clear: both;
}

section a.toplink {
	font-size: .95em;
	padding-left: 2.5%;

}

/*Media
===========================*/

@media only screen and (min-width: 480px) {

	/* Tow Column layout
	==============================*/
	.primary {
		width: 50%;
		float: left;
	}

	.secondary {
		width: 45%;
		float: right;
	}

	/* PAGE: Portfoili
	=============================*/

	.gallery li {
		width: 28.3333%;
	}

	.gallery li:nth-child(odd) {
		clear: none;
	}
	
	.gallery li:nth-child(4) {
		clear: left;
	}
	
	/* PAGE: About
	============================*/

	.profile-photo {
		float: left;
		margin: 0 2.5% 0 0;
	}

	div.about {
		float: left;
		width: 60%;
		max-width: 950px;
	}

	.skill {
		clear: left;
	}
}

@media only screen and (min-width: 767px) {

	/* Header
	===========================*/
	#logo img.myLogo {
		float: left;
		padding-left: 0;
		margin: 7px;
	}

	div.logo {
		display: block;
		width: 57px;
	}
	nav.main {
		background: none;
		margin-right: 2.5%;
		margin-left: 0;
		float: right;
		text-align: right;
		max-width: 260px;
	}

	nav.main a{
		font-size: .85em;

	}

	.portfolio_header {	
		margin: 0 0 20px 0;
	}

	.main_header {	
		margin: 0 0 20px 0;
	}

	nav ul.sub-lg {
		display: block;
	}

	div.sub-sm {
		display: none;
	}

	#logo {
		float: left;
		margin-left: 2.5%;
		margin-right: 0;
		text-align: left;
		width: 57%;
	}

	h1 {
		font-weight: 400;
		font-family: 'fff_tusjbold', 'Marvel', sans-serif;
		line-height:  .8em;
		font-size: 2.3em;
	}

	section h3 {
		font-weight: 400;
		font-family: 'fff_tusjbold', 'Marvel', sans-serif;
		line-height:  .9em;
		font-size: 2.05em;
		padding-left: 1px;
	}

	.portfolio_header  {
		border-bottom: 5px solid #f08a21;
	}

	.main_header  {
		border-bottom: 5px solid;
	}

	.gallery li div.thumbnail {
		max-height: 165px;
		overflow: hidden;
		border: 1px solid #3c3c3c;
	}

	/*PAGE: About me
	==============================*/

	div.about {
		width: 75%;
		
	}

	.skill {
		margin-top: 5.0%;
		clear: left;	
	}

	.skill div.column {
		display: inline-block;
		margin: 0 .2%;
		width: 31.333%;
		vertical-align: top;

	}
}

@media only screen and (min-width: 1025px) {

	.skill {
		width: 100%;
		margin-top: 60px;	
	}

	.skill div.mainRow {
		float: left;
		max-width: 950px;
		width: 75%;
	}

	span.label h5 {
		font-size: .75em;
	}
	
	.placeholder {
		margin: 0 2.5%;
		float: left;
		width: 150px;
		height: 150px;
	}


}